Lists tools the token can execute. Permission: any valid token; the catalog is filtered to the token's scopes.

SDK `tools.list()` takes no args. HTTP accepts optional `?limit=` to slice the list.

## Query Parameters

| Name | Type | Description |
| ---- | ---- | ----------- |
| `limit` | integer | Optional slice. When more tools exist than `limit`, `has_more` is `true`. |

## Response Fields

| Field | Type | Description |
| ----- | ---- | ----------- |
| `object` | `"list"` | Discriminator. Always `list`. |
| `has_more` | boolean | `true` when `limit` truncated the list. |
| `data` | array | Tool schemas: `name`, `description`, `inputSchema`, `endpoint`. |

## Errors

| Status | `name` | When |
| ------ | ------ | ---- |
| 401 | `missing_api_key` | Missing or invalid bearer token |

## Related

- [Get Tool](/docs/api-reference/v2/tools-get)
- [Execute Tool](/docs/api-reference/v2/tools-execute)
- [SDK: lumail.tools.list](/docs/sdk/v2/tools-list)


## API Reference
**Method:** GET
**Endpoint:** /api/v2/tools

### SDK
```ts
import { Lumail } from "lumail";

const lumail = new Lumail({ apiKey: process.env.LUMAIL_API_KEY });
const { data, error } = await lumail.tools.list();
if (error) {
  throw error;
}

for (const tool of data.data) {
  console.log(tool.name, tool.endpoint);
}
```

### cURL
```bash
curl "https://lumail.io/api/v2/tools?limit=20" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

### JavaScript
```javascript
const response = await fetch("https://lumail.io/api/v2/tools?limit=20", {
  headers: {
    Authorization: "Bearer YOUR_API_TOKEN",
  },
});
const page = await response.json();
```

### Success Response
```json
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "name": "verify_email",
      "description": "Check syntax and deliverability signals for one address.",
      "inputSchema": { "type": "object" },
      "endpoint": "/api/v2/tools/verify_email"
    }
  ]
}
```

### Error Response
```json
{
  "name": "missing_api_key",
  "message": "Missing API key",
  "statusCode": 401
}
```
